device_type: "qemu"

job_name: "tuxrun@qemu-arm64: boot"
priority: "medium"
visibility: "public"

context:
    arch: "arm64"
    machine: "virt,gic-version=3"
    cpu: "max"
    memory: "4G"
    extra_options: ["-no-reboot", "-smp 2"]
    no_kvm: false
    no_network: true
timeouts:
  job:
    minutes: 215
  action:
   minutes: 5
  actions:
    power-off:
      seconds: 30

actions:
- deploy:
    to: tmpfs
    timeout:
      minutes: 15
    os: oe
    images:
      kernel:
        image_arg: '-kernel {kernel} -append "console=ttyAMA0,115200 rootwait root=/dev/vda debug verbose console_msg_format=syslog systemd.log_level=warning rw earlycon"'
        url: "file:///home/anders/.cache/tuxmake/builds/604/Image.gz"
        compression: gz
      rootfs:
        image_arg: "-drive file={rootfs},if=none,format=raw,id=hd0 -device virtio-blk-device,drive=hd0"
        url: "file:///home/anders/.cache/tuxrun/assets/https___storage.tuxboot.com_debian_bookworm_arm64_rootfs.ext4.xz"
        compression: xz
        format: ext4
        overlays:
          modules:
            url: "file:///home/anders/.cache/tuxmake/builds/604/modules.tar.xz"
            path: "/"
            format: tar
            compression: xz
- boot:
    method: qemu
    timeout:
      minutes: 200
    auto_login:
      login_prompt: 'login:'
      username: root
    prompts:
    - 'root@(.*):[/~]#'
